<template>
  <v-snackbar v-model="snackbar" :multi-line="true" top :color="getType()" :timeout="-1">
      {{ text }}
      <template v-slot:action="{ attrs }">
        <v-btn text v-bind="attrs" @click="$emit('snackbar')">
          Close
        </v-btn>
      </template>
    </v-snackbar>
</template>

<script>
export default {
  name: 'IndexAlert',
  data () {
    return {
      snackbar: false,
      color: ''
    }
  },
  props: {
    show: Boolean,
    text: String,
    type: String
  },
  created () {
    this.snackbar = this.show
  },
  methods: {
    getType () {
      const types = {
        success: 'green',
        error: 'red',
        alert: 'blue'
      }

      return types[this.type]
    }
  }
}
</script>

<style>

</style>
